View Issue Details

IDProjectCategoryView StatusLast Update
0004576Talerexchangepublic2016-10-11 17:28
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004576: benchmark todos
DescriptionTo fix before continuing (DONE):

- segfault when calling fail()
- shutting down the whole thing once the last operation has been done
- kill the exchange in fail()/do_shutdown()

Missing on refresh (DONE):

- put fresh coins where all the coins are

Missing in general:

- withdraw as many coins as we spent and not refreshed (DONE)
- implement the 'loop' that repeats the logic as now it
only runs once.
- record and print actual benchmark data
TagsNo tags attached.

Activities

Marcello Stanisci

2016-06-11 17:33

manager   ~0010890

Last edited: 2016-06-14 16:02

View 2 revisions

change char *refresh_denoms[] to something holding TALER_Amount instead (DONE)

Marcello Stanisci

2016-06-13 15:54

manager   ~0010897

the current benchmark also "suffers" from an infinite loop, as the re-withdrawn coins go through the normal withdraw-spend-refresh cicle

Marcello Stanisci

2016-06-14 13:31

manager   ~0010899

once the loop has been implemented, the benchmark needs to call GNUNET_shutdown()

Marcello Stanisci

2016-06-17 13:54

manager   ~0010905

All the points have been addressed. Now it needs to be run.

Issue History

Date Modified Username Field Change
2016-06-10 17:32 Marcello Stanisci New Issue
2016-06-10 17:32 Marcello Stanisci Status new => assigned
2016-06-10 17:32 Marcello Stanisci Assigned To => Marcello Stanisci
2016-06-11 17:33 Marcello Stanisci Note Added: 0010890
2016-06-11 21:32 Christian Grothoff Priority normal => high
2016-06-11 21:32 Christian Grothoff Severity minor => feature
2016-06-11 21:32 Christian Grothoff Description Updated View Revisions
2016-06-12 14:21 Marcello Stanisci Description Updated View Revisions
2016-06-13 15:43 Marcello Stanisci Assigned To Marcello Stanisci =>
2016-06-13 15:44 Marcello Stanisci Description Updated View Revisions
2016-06-13 15:54 Marcello Stanisci Note Added: 0010897
2016-06-14 13:31 Marcello Stanisci Note Added: 0010899
2016-06-14 16:02 Marcello Stanisci Note Edited: 0010890 View Revisions
2016-06-17 13:54 Marcello Stanisci Note Added: 0010905
2016-06-17 13:54 Marcello Stanisci Status assigned => resolved
2016-06-17 13:54 Marcello Stanisci Resolution open => fixed
2016-06-17 13:54 Marcello Stanisci Assigned To => Marcello Stanisci
2016-06-19 23:44 Christian Grothoff Fixed in Version => 0.1
2016-06-19 23:44 Christian Grothoff Target Version SVN HEAD => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed